Appointments
Set weekly availability rule
Requires appointments:settings and an account administrator. day_of_week uses 0=Sunday through 6=Saturday; minutes are measured from local midnight.
POST
/
api
/
v2
/
accounts
/
{accountId}
/
appointments
/
availability
/
rules
Set weekly availability rule
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/availability/rules \
--header 'Content-Type: application/json' \
--data '
{
"day_of_week": 1,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"end_minute": 1020,
"is_active": true,
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_minute": 540
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/availability/rules"
payload = {
"day_of_week": 1,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"end_minute": 1020,
"is_active": True,
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_minute": 540
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
day_of_week: 1,
effective_from: '2023-12-25',
effective_to: '2023-12-25',
end_minute: 1020,
is_active: true,
resource_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start_minute: 540
})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/availability/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"day_of_week": 123,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"end_minute": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_minute": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}Path Parameters
HueChat account ID
Body
application/json
Weekly availability rule
⌘I
Set weekly availability rule

